org.eclipse.viatra.cep.vepl.services

## Class VeplGrammarAccess.ContextElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder
    - - org.eclipse.viatra.cep.vepl.services.VeplGrammarAccess.ContextElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess
  Enclosing class:
    VeplGrammarAccess

      public class VeplGrammarAccess.ContextElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives()`
    `org.eclipse.xtext.Keyword` | `getChronicleChronicleKeyword_0_0()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getChronicleEnumLiteralDeclaration_0()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getImmediateEnumLiteralDeclaration_1()`
    `org.eclipse.xtext.Keyword` | `getImmediateImmediateKeyword_1_0()`
    `org.eclipse.xtext.EnumRule` | `getRule()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getStrictEnumLiteralDeclaration_2()`
    `org.eclipse.xtext.Keyword` | `getStrictStrictKeyword_2_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextElements

          public ContextElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.EnumRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getChronicleEnumLiteralDeclaration_0

          public org.eclipse.xtext.EnumLiteralDeclaration getChronicleEnumLiteralDeclaration_0()

    - #### getChronicleChronicleKeyword_0_0

          public org.eclipse.xtext.Keyword getChronicleChronicleKeyword_0_0()

    - #### getImmediateEnumLiteralDeclaration_1

          public org.eclipse.xtext.EnumLiteralDeclaration getImmediateEnumLiteralDeclaration_1()

    - #### getImmediateImmediateKeyword_1_0

          public org.eclipse.xtext.Keyword getImmediateImmediateKeyword_1_0()

    - #### getStrictEnumLiteralDeclaration_2

          public org.eclipse.xtext.EnumLiteralDeclaration getStrictEnumLiteralDeclaration_2()

    - #### getStrictStrictKeyword_2_0

          public org.eclipse.xtext.Keyword getStrictStrictKeyword_2_0()